import { login, loginRouteOptions, register } from '../controllers/auth.controller';
import { FastifyInstance } from 'fastify'; 
import { verifyToken } from '../middlewares/authenticate';

export const authRoutes = async (fastify: FastifyInstance) => {
  fastify.post('/login', { ...loginRouteOptions }, login); 
  fastify.post('/register', register);

};
