import { FastifyInstance } from 'fastify';
import { verifyToken } from '../middlewares/authenticate';

export async function userRoutes(fastify: FastifyInstance) {
  fastify.get('/profile', { preHandler: [verifyToken] }, async (request, reply) => {
    const user = (request as any).user;
    return { user };
  });
}


